com.qualcomm.robotcore.hardware

## Class TimestampedI2cData

- java.lang.Object
- - com.qualcomm.robotcore.hardware.TimestampedData
  - - com.qualcomm.robotcore.hardware.TimestampedI2cData

-     public class TimestampedI2cData
      extends TimestampedData

  `TimestampedI2cData` extends `TimestampedData` so as to provide an indication of the I2c source from which the data was retrieved.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.concurrent.atomic.AtomicInteger` | `healthStatusSuppressionCount` internal: keeps track of
    `I2cAddr` | `i2cAddr` the I2c address from which the data was read
    `int` | `register` the starting register address from which the data was retrieved

    - ### Fields inherited from class com.qualcomm.robotcore.hardware.TimestampedData

      `data, nanoTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimestampedI2cData()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimestampedI2cData` | `makeFakeData(java.lang.Object deviceHavingProblems, I2cAddr i2cAddr, int ireg, int creg)` Creates and returns fake I2C data for use in situations where data must be returned but actual data is unavailable.
    `static void` | `suppressNewHealthWarnings(boolean suppress)`
    `static void` | `suppressNewHealthWarningsWhile(java.lang.Runnable runnable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### i2cAddr

          public I2cAddr i2cAddr

      the I2c address from which the data was read

    - #### register

          public int register

      the starting register address from which the data was retrieved

    - #### healthStatusSuppressionCount

          protected static java.util.concurrent.atomic.AtomicInteger healthStatusSuppressionCount

      internal: keeps track of

  - ### Constructor Detail

    - #### TimestampedI2cData

          public TimestampedI2cData()

  - ### Method Detail

    - #### makeFakeData

          public static TimestampedI2cData makeFakeData(java.lang.Object deviceHavingProblems,
                                                        I2cAddr i2cAddr,
                                                        int ireg,
                                                        int creg)

      Creates and returns fake I2C data for use in situations where data must be returned but actual data is unavailable. Optionally, records that the device in question is having difficulties.

    - #### suppressNewHealthWarningsWhile

          public static void suppressNewHealthWarningsWhile(java.lang.Runnable runnable)

    - #### suppressNewHealthWarnings

          public static void suppressNewHealthWarnings(boolean suppress)